> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token tv feed



## OpenAPI

````yaml get /token/{id}/tv_feed
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/tv_feed:
    get:
      tags:
        - Tokens
      operationId: TokenController_getTradingViewFeed
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: resolution
          required: false
          in: query
          description: The resolution of the feed in minutes ( defaults to 1 hour )
          schema:
            example: 60
            type: number
        - name: from
          required: false
          in: query
          description: JS Date String ( ISO String or UNIX time )
          schema:
            example: '2025-07-22T15:46:50.166Z'
            type: string
        - name: to
          required: false
          in: query
          description: JS Date String ( ISO String or UNIX time )
          schema:
            example: '1753199210167'
            type: string
        - name: order
          required: false
          in: query
          description: order by time of the bars ( defaults to asc for TradingView )
          schema:
            type: string
        - name: last
          required: false
          in: query
          schema:
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenFeedEntity'
components:
  schemas:
    TokenFeedEntity:
      type: object
      properties:
        time:
          type: number
          format: decimal
        open:
          type: number
          format: decimal
        high:
          type: number
          format: decimal
        low:
          type: number
          format: decimal
        close:
          type: number
          format: decimal
        volume:
          type: number
          format: decimal
      required:
        - time
        - open
        - high
        - low
        - close
        - volume

````